libclass-dbi-pg-perl_0.09-4_all.deb


Advertisement

Description

libclass-dbi-pg-perl - Class::DBI extension for Postgres

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libclass-dbi-pg-perl
Package version: 0.09
Package release: 4
Package architecture: all
Package type: deb
Installed size: 68 B
Download size: 9.01 KB
Official Mirror: ftp.br.debian.org
Class::DBI::Pg automates the setup of Class::DBI columns and primary keys for PostgreSQL. It selects the PostgreSQL system catalog and finds out all columns, primary keys and SERIAL type columns.

Alternatives

    Download

    Source package: libclass-dbi-pg-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libclass-dbi-pg-perl deb package:
      # sudo apt-get install libclass-dbi-pg-perl

    Files

    • /usr/share/doc/libclass-dbi-pg-perl/changelog.Debian.gz
    • /usr/share/doc/libclass-dbi-pg-perl/changelog.gz
    • /usr/share/doc/libclass-dbi-pg-perl/copyright
    • /usr/share/man/man3/Class::DBI::Pg.3pm.gz
    • /usr/share/perl5/Class/DBI/Pg.pm

    Changelog

    2010-04-24 - Ansgar Burchardt <ansgar@43-1.org> libclass-dbi-pg-perl (0.09-4) unstable; urgency=low * Remove comparison operator from required module versions in Makefile.PL. (Closes: #578990) + new patch: fix-Makefile.PL.patch * Use source format 3.0 (quilt). * debian/control: Make build-dep on perl unversioned. * Convert debian/copyright to proposed machine-readable format. * Bump Standards-Version to 3.8.4. * Add myself to Uploaders.

    2009-06-23 - Damyan Ivanov <dmn@debian.org> libclass-dbi-pg-perl (0.09-3) unstable; urgency=low [ Ryan Niebur ] * Take over with permission from Bart (Closes: #531501) * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser field (source stanza); Homepage field (source stanza); ${misc:Depends} to Depends: field. Removed: Homepage pseudo-field (Description). Changed: Maintainer set to Debian Perl Group <pkg- perl-maintainers@lists.alioth.debian.org> * debian/watch: use dist-based URL. [ Nathan Handler ] * debian/watch: Update to ignore development releases. [ Damyan Ivanov ] * debian/rules: migrate to tiny DH7 * debian/copyright: cleanup + use dist-based upstream location + quote verbatim licensing terms * add myself to Uploaders * Standards-Version: 3.8.2 (no changes)

    2006-11-16 - Bart Martens <bartm@knars.be> libclass-dbi-pg-perl (0.09-2) unstable; urgency=low * New maintainer, as agreed with Stephen. * debian/*: Repackaged with cdbs. * debian/control: Added libtest-pod-coverage-perl and libtest-pod-perl to Build-Depends-Indep for "make test". * debian/copyright: Updated. * debian/watch: Updated to version 3.

    2006-07-11 - Stephen Quinney <sjq@debian.org> libclass-dbi-pg-perl (0.09-1) unstable; urgency=low * New upstream release - In particular, fixes a typo that broke postgres sequence handling

    2006-04-16 - Stephen Quinney <sjq@debian.org> libclass-dbi-pg-perl (0.08-1) unstable; urgency=low * New upstream release

    2006-01-26 - Stephen Quinney <sjq@debian.org> libclass-dbi-pg-perl (0.07-1) unstable; urgency=low * New upstream release - has fixes for Postgresql 8.1 sequence handling * New upstream author - debian/copyright and debian/watch updated appropriately. * Switched to my debian.org email address.

    2004-12-05 - Stephen Quinney <sjq@debian.org> libclass-dbi-pg-perl (0.06-1) unstable; urgency=low * New upstream release * New upstream author - debian/copyright and debian/watch updated appropriately. * No longer need to use a patch for Multi-column primary keys support. Build-dependency on dpatch no longer required.

    2004-08-28 - Stephen Quinney <sjq@debian.org> libclass-dbi-pg-perl (0.03-2) unstable; urgency=low * Applied a patch from http://use.perl.org/~Fletch/journal/18634. This allows Class::DBI::Pg to handle Multi-column primary keys. Thanks to Edward Betts for pointing me to this patch, closes: #267487. * debian/rules - Tidied and improved a bit * debian/control - Moved to debian policy 3.6.1.1

    2003-09-18 - Stephen Quinney <sjq@debian.org> libclass-dbi-pg-perl (0.03-1) unstable; urgency=low * New upstream release - proper fix to support dropped columns. * Specified the minimum required versions for some of the dependencies. * Updated to debian policy 3.6.1.0

    2003-07-24 - Stephen Quinney <sjq@debian.org> libclass-dbi-pg-perl (0.02-2) unstable; urgency=low * Fix the SQL query, that looks up columns of a table, which was picking up dropped columns in versions of PostgreSQL 7.3 and greater.

    Advertisement
    Advertisement